Package uk.ac.starlink.vo

## Interface UwsJobInfo.Parameter

- Enclosing interface:
    UwsJobInfo

      public static interface UwsJobInfo.Parameter

  Represents a parameter associated with a UWS job.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` | Returns this parameter's ID (name).
    `java.lang.String` | `getValue()` | Returns this parameter's value.
    `boolean` | `isByReference()` | Indicates whether this parameter's value is a URL or not.
    `boolean` | `isPost()` | Indicates whether this parameter represents posted data.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Returns this parameter's ID (name).
      Returns:
        name

    - #### getValue

          java.lang.String getValue()

      Returns this parameter's value.
      Returns:
        value

    - #### isByReference

          boolean isByReference()

      Indicates whether this parameter's value is a URL or not.
      Returns:
        true for direct content, false for a URL

    - #### isPost

          boolean isPost()

      Indicates whether this parameter represents posted data.
      Returns:
        true iff posted